
package de.ivu.elect.jee.presentation.dynamicform;

/**
 * Achtung: Länge der Eingabe ist auf 15 Zeichen begrenzt.
 */
public abstract class AbstractDoubleProperty extends AbstractNumberProperty<Double> {

  private static final int DEFAULT_MAX_LENGTH = 15;

  @Override
  public int getDefaultMaxLength() {
    return DEFAULT_MAX_LENGTH;
  }

  @Override
  public long getMinValue() {
    return Long.MIN_VALUE;
  }

  @Override
  public long getMaxValue() {
    return Long.MAX_VALUE;
  }
}
